/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: MultiLineEditPage.cpp,v 2.1 1999/10/16 01:49:12 jeff Exp $

*******************************************************************************/


#include <qmlined.h>

#include "MultiLineEditPage.h"

#include "widget/DlgWidget.h"

#define Inherited MultiLineEditPageData

MultiLineEditPage::MultiLineEditPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    QMultiLineEdit* edit = (QMultiLineEdit*)widget->GetWidget();
    
    itsText->setText( edit->text() );
    isReadOnly->setChecked( edit->isReadOnly() );
    isOverwrite->setChecked( edit->isOverwriteMode() );
    isAutoUpdate->setChecked( edit->autoUpdate() );
}


MultiLineEditPage::~MultiLineEditPage()
{
}


void MultiLineEditPage::Apply( DlgWidget*	widget )
{
    QMultiLineEdit* edit = (QMultiLineEdit*)widget->GetWidget();
    
    edit->setText( itsText->text() );
    edit->setReadOnly( isReadOnly->isChecked() );
    edit->setOverwriteMode( isOverwrite->isChecked() );
    edit->setAutoUpdate( isAutoUpdate->isChecked() );
}

