/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgHButtonGroup.cpp,v 2.2 1999/10/16 01:50:43 jeff Exp $

*******************************************************************************/


#include "widget/DlgHButtonGroup.h"

#include "prop/ButtonGroupPage.h"

#include "GuiTools.h"

#define Inherited DlgButtonGroup

QStrList DlgHButtonGroup::itsSignals;
int DlgHButtonGroup::itsNextWidgetNum = 1;

DlgHButtonGroup::DlgHButtonGroup() :
    Inherited( DlgWidget::DW_HButtonGroup ),
    mySpacing( 5 )
{
}


DlgHButtonGroup::DlgHButtonGroup(
    DlgWidget::Type	theType
    ) :
    Inherited( theType ),
    mySpacing( 5 )
{
}


DlgHButtonGroup::~DlgHButtonGroup()
{
}


void DlgHButtonGroup::SaveContents(
    QTextStream&	stream,
    bool		topLevel
    )
{
    if( topLevel )
    {
	stream << "HButtonGroup {" << endl;
    }

    Inherited::SaveContents( stream, FALSE );

    if( topLevel )
    {
	stream << "}" << endl;
    }
}


void DlgHButtonGroup::CreateQtWidget(
    QWidget*	theParent,
    const char*	theName
    )
{
    QHButtonGroup* widget = 
	new QHButtonGroup( theParent,
                   CreateName( "HButtonGroup", 
                               theName, 
                               itsNextWidgetNum ) );
    
    SetQtWidget( widget, theParent );
}
